package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BatchProfileOverride
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class BatchProfileOverride   {
  @JsonProperty("portList")
  @Valid
  private List<Integer> portList = new ArrayList<>();

  @JsonProperty("profileOverrideEnable")
  private Boolean profileOverrideEnable;

  public BatchProfileOverride portList(List<Integer> portList) {
    this.portList = portList;
    return this;
  }

  public BatchProfileOverride addPortListItem(Integer portListItem) {
    this.portList.add(portListItem);
    return this;
  }

  /**
   * Port ID List.
   * @return portList
  */
  @ApiModelProperty(required = true, value = "Port ID List.")
  @NotNull

@Size(min=1,max=2147483647) 
  public List<Integer> getPortList() {
    return portList;
  }

  public void setPortList(List<Integer> portList) {
    this.portList = portList;
  }

  public BatchProfileOverride profileOverrideEnable(Boolean profileOverrideEnable) {
    this.profileOverrideEnable = profileOverrideEnable;
    return this;
  }

  /**
   * Profile Override Enable.
   * @return profileOverrideEnable
  */
  @ApiModelProperty(required = true, value = "Profile Override Enable.")
  @NotNull


  public Boolean getProfileOverrideEnable() {
    return profileOverrideEnable;
  }

  public void setProfileOverrideEnable(Boolean profileOverrideEnable) {
    this.profileOverrideEnable = profileOverrideEnable;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BatchProfileOverride batchProfileOverride = (BatchProfileOverride) o;
    return Objects.equals(this.portList, batchProfileOverride.portList) &&
        Objects.equals(this.profileOverrideEnable, batchProfileOverride.profileOverrideEnable);
  }

  @Override
  public int hashCode() {
    return Objects.hash(portList, profileOverrideEnable);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BatchProfileOverride {\n");
    
    sb.append("    portList: ").append(toIndentedString(portList)).append("\n");
    sb.append("    profileOverrideEnable: ").append(toIndentedString(profileOverrideEnable)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

